Bug 853073 - some apply errata actions fail with "Error while executing packages action: None"
some apply errata actions fail with "Error while executing packages action: N...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 08:51 EDT by Jan Hutař
Modified: 2013-05-02 13:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-02 13:45:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-08-30 08:51:41 EDT
Description of problem:
Sometimes, some apply errata fails with message "Error while executing packages action: None".


Version-Release number of selected component (if applicable):
rhn-client-tools-0.4.20-77.el5


How reproducible:
rarely


Steps to Reproduce:
1. Schedule bunch of errata applications through WebUI
2. Run `rhn_check -vv` on the client


Actual results:
D: check_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>errata.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><int>704</int></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 163}
updateLoginInfo() login info
D: login(forceUpdate=True) invoked
logging into up2date server
D: writeCachedLogin() invoked
D: Wrote pickled loginInfo at  1346284460.44  with expiration of  1346288060.44  seconds.
successfully retrieved authentication token from up2date server
D: logininfo: {'X-RHN-Server-Id': 1000010011, 'X-RHN-Auth-Server-Time': '1346284460.43', 'X-RHN-Auth': 'KyDuT3X2EAazyIEt5RaAhA==', 'X-RHN-Auth-Channels': [['parent-uuxrr', '20120829180522', '1', '1'], ['child-of-parent-uuxrr', '20120829180532', '0', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}
D: handle_action {'action': "<?xml version='1.0'?>\n<methodCall>\n<methodName>errata.update</methodName>\n<params>\n<param>\n<value><array><data>\n<value><int>704</int></value>\n</data></array></value>\n</param>\n</params>\n</methodCall>\n", 'version': 2, 'id': 163}
D: handle_action actionid = 163, version = 2
D: do_call errata.update ([704],) {'cache_only': None}
Loaded plugins: product-id, rhnplugin
D: Called update [['test-arch-uuxrr-1-InParent', '0.2', '2', '', 'i386']]
D: Sending back response ((6,), 'Error while executing packages action: None', {})

Please note that "None" which is strange.


Expected results:
It should work or provide better error message
Comment 2 Milan Zazrivec 2012-09-04 07:19:17 EDT
I'm closing this as a duplicate of bug #853799 which has some customer
cases attached.

*** This bug has been marked as a duplicate of bug 853799 ***
Comment 7 RHEL Product and Program Management 2013-04-15 04:38:56 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 9 Stephen Herr 2013-05-02 13:45:43 EDT
I think that this is a duplicate of bug 853799, even given the different error messages. However I can't be sure because I can't reproduce. Closing as INSUFFICIENT_DATA, with the caveat that I think this won't happen anymore once we release a fix for bug 853799.

Note You need to log in before you can comment on or make changes to this bug.